## AgsOscConfigController

AgsOscConfigController — OSC config controller

## Stability Level

Stable, unless otherwise indicated

## Functions

gpointer | ags_osc_config_controller_apply_config ()
AgsOscConfigController * | ags_osc_config_controller_new ()

## Signals

gpointer | apply-config | Run Last

## Object Hierarchy

        GObject
        ╰── AgsOscController
            ╰── AgsOscConfigController

## Includes

    #include <ags/audio/osc/controller/ags_osc_config_controller.h>

## Description

The AgsOscConfigController implements the OSC config controller.

## Functions

### ags_osc_config_controller_apply_config ()

    gpointer
    ags_osc_config_controller_apply_config
                                   (AgsOscConfigController *osc_config_controller,
                                    AgsOscConnection *osc_connection,
                                    guchar *message,
                                    guint message_size);

Apply config.

#### Parameters

osc_config_controller | the AgsOscConfigController |
osc_connection | the AgsOscConnection |
message | the message received |
message_size | the message size |

#### Returns

the GList containing AgsOscResponse

Since: 3.0.0

### ags_osc_config_controller_new ()

    AgsOscConfigController *
    ags_osc_config_controller_new ();

Instantiate new AgsOscConfigController

#### Returns

the AgsOscConfigController

Since: 3.0.0

## Signal Details

### The `“apply-config”` signal

    gpointer
    user_function (AgsOscConfigController *osc_config_controller,
                   GObject                *osc_connection,
                   gpointer                message,
                   guint                   message_size,
                   gpointer                user_data)

The ::apply-config signal is emited during get data of config controller.

#### Parameters

osc_config_controller | the AgsOscConfigController |
osc_connection | the AgsOscConnection |
message | the message received |
message_size | the message size |
user_data | user data set when the signal handler was connected. |

#### Returns

the AgsOscResponse

Flags: Run Last

Since: 3.0.0